Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.search
Interface SearchListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  BasicSearchNavigatorUI, SearchTOCItemTag

public interface SearchListener
extends java.util.EventListener

Defines the interface for an object that listens to changes from a SearchQuery instance.

Method Summary
`void` | `itemsFound(SearchEvent e)` Tells the listener that matching SearchItems have been found.
`void` | `searchFinished(SearchEvent e)` Tells the listener that the search has finished
`void` | `searchStarted(SearchEvent e)` Tells the listener that the search has started.

Method Detail

### itemsFound

    public void itemsFound(SearchEvent e)

  Tells the listener that matching SearchItems have been found.

### searchStarted

    public void searchStarted(SearchEvent e)

  Tells the listener that the search has started.

### searchFinished

    public void searchFinished(SearchEvent e)

  Tells the listener that the search has finished

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD